Debian Bug report logs - #664144
tthsum: FTBFS[kfreebsd-amd64]: big endian test fails

version graph

Package: src:tthsum; Maintainer for src:tthsum is Hector Oron <zumbi@debian.org>;

Reported by: Christoph Egger <christoph@debian.org>

Date: Thu, 15 Mar 2012 20:51:01 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version tthsum/1.3.1-1

Fixed in versions tthsum/1.1.0-1, tthsum/1.3.1-2

Done: Hector Oron <zumbi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Information forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Hector Oron <zumbi@debian.org>:
Bug#664144; Package src:tthsum. (Thu, 15 Mar 2012 20:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to debian-bsd@lists.debian.org, Hector Oron <zumbi@debian.org>. (Thu, 15 Mar 2012 20:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: tthsum: FTBFS[kfreebsd-amd64]: big endian test fails
Date: Thu, 15 Mar 2012 21:47:10 +0100
Package: src:tthsum
Version: 1.3.1-1
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

cc -Wl,-z,relro  obj-unix/test.o obj-unix/base32.o obj-unix/escape.o obj-unix/getopt.o obj-unix/read.o obj-unix/texts.o obj-unix/thex.o obj-unix/tiger.o obj-unix/tthsum.o obj-unix/utf8.o obj-unix/base32_test.o obj-unix/endian_test.o obj-unix/escape_test.o obj-unix/getopt_test.o obj-unix/read_test.o obj-unix/texts_test.o obj-unix/thex_test.o obj-unix/tiger_test.o obj-unix/types_test.o obj-unix/utf8_test.o   -o obj-unix/test
obj-unix/test
>>> endian_test.c:64: Big endian check fails on 16 bit numbers
>>> endian_test.c:81: Big endian check fails on 32 bit numbers
>>> endian_test.c:95: Big endian check fails on 64 bit numbers
============================================
  RUNNING TESTS
--------------------------------------------
  Language
--------------------------------------------
+ endian_test: ..FFF
+ types_test: ....
--------------------------------------------
  Util
--------------------------------------------
+ base32_test: .......
+ escape_test: ......
+ getopt_test: ...
+ read_test: ...
+ utf8_test: ........
--------------------------------------------
  App
--------------------------------------------
+ texts_test: ...
+ tiger_test: ......
+ thex_test: ...
--------------------------------------------
  Tests completed: 45 succeeded, 3 failed
============================================
make[1]: *** [runtest] Error 1

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=tthsum&arch=kfreebsd-amd64&ver=1.3.1-1&stamp=1331247781

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Hector Oron <zumbi@debian.org>:
Bug#664144; Package src:tthsum. (Mon, 26 Mar 2012 08:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Walter 'Wallie' Doekes" <walter@wjd.nu>:
Extra info received and forwarded to list. Copy sent to Hector Oron <zumbi@debian.org>. (Mon, 26 Mar 2012 08:00:03 GMT) Full text and rfc822 format available.

Message #10 received at 664144@bugs.debian.org (full text, mbox):

From: "Walter 'Wallie' Doekes" <walter@wjd.nu>
To: 664144@bugs.debian.org
Subject: Re: tthsum: FTBFS[kfreebsd-amd64]: big endian test fails
Date: Mon, 26 Mar 2012 09:47:25 +0200 (CEST)
> Big endian check fails on 64 bit numbers

That amd64 is not a big endian machine, is it?

I'm suspecting you're running through these options here and getting the
BIG_ENDIAN "default" as fallback:
http://tthsum.devs.nu/svn/trunk/tthsum/endian.h

Do you know how one is supposed to get the endianness on your platform?

Regards,
Walter


cc -Wl,-z,relro  obj-unix/test.o obj-unix/base32.o obj-unix/escape.o
obj-unix/getopt.o obj-unix/read.o obj-unix/texts.o obj-unix/thex.o
obj-unix/tiger.o obj-unix/tthsum.o obj-unix/utf8.o obj-unix/base32_test.o
obj-unix/endian_test.o obj-unix/escape_test.o obj-unix/getopt_test.o
obj-unix/read_test.o obj-unix/texts_test.o obj-unix/thex_test.o
obj-unix/tiger_test.o obj-unix/types_test.o obj-unix/utf8_test.o   -o
obj-unix/test
obj-unix/test
>>> endian_test.c:64: Big endian check fails on 16 bit numbers
>>> endian_test.c:81: Big endian check fails on 32 bit numbers
>>> endian_test.c:95: Big endian check fails on 64 bit numbers




Message sent on to Christoph Egger <christoph@debian.org>:
Bug#664144. (Mon, 26 Mar 2012 10:45:15 GMT) Full text and rfc822 format available.

Message #13 received at 664144-submitter@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: "Walter 'Wallie' Doekes" <walter@wjd.nu>, 664144-submitter@bugs.debian.org
Subject: Re: Bug#664144: tthsum: FTBFS[kfreebsd-amd64]: big endian test fails
Date: Mon, 26 Mar 2012 12:40:58 +0200
Hello Walter,

2012/3/26 Walter 'Wallie' Doekes <walter@wjd.nu>:
>> Big endian check fails on 64 bit numbers
>
> That amd64 is not a big endian machine, is it?
>
> I'm suspecting you're running through these options here and getting the
> BIG_ENDIAN "default" as fallback:
> http://tthsum.devs.nu/svn/trunk/tthsum/endian.h
>
> Do you know how one is supposed to get the endianness on your platform?

We can get endianess from Debian environment variable:

  $ dpkg-architecture -qDEB_BUILD_ARCH_ENDIAN
little
  DEB_BUILD_ARCH_ENDIAN=little

The following macros from the compiler seem to also be available:

#define __ORDER_LITTLE_ENDIAN__ 1234
#define __FLOAT_WORD_ORDER__ __ORDER_LITTLE_ENDIAN__
#define __ORDER_PDP_ENDIAN__ 3412
#define __ORDER_BIG_ENDIAN__ 4321
#define __BYTE_ORDER__ __ORDER_LITTLE_ENDIAN__


Cheers,
-- 
 Héctor Orón  -.. . -... .. .- -.   -.. . ...- . .-.. --- .--. . .-.




Information forwarded to debian-bugs-dist@lists.debian.org, Hector Oron <zumbi@debian.org>:
Bug#664144; Package src:tthsum. (Fri, 13 Jul 2012 07:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Hector Oron <zumbi@debian.org>. (Fri, 13 Jul 2012 07:09:04 GMT) Full text and rfc822 format available.

Message #18 received at 664144@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 664144@bugs.debian.org
Cc: control@bugs.debian.org, walter@wjd.nu
Subject: tthsum: FTBFS[kfreebsd-amd64]: big endian test fails
Date: Fri, 13 Jul 2012 09:23:28 +0200 (CEST)
tags 664144 +patch
--

Hi,

it can be easily fixed by patch bellow,
the patch in current upstream SVN breaks linux/amd64 compilation.

Petr

--- endian.h
+++ endian.h
@@ -24,7 +24,7 @@
  */

 /* Try to get BYTE_ORDER, BIG_ENDIAN and LITTLE_ENDIAN */
-#if defined(__linux)
+#if defined(__linux) || defined(__GLIBC__)
 #   include <endian.h>
 #   ifndef BIG_ENDIAN
 #      define BIG_ENDIAN __BIG_ENDIAN






Added tag(s) patch. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Fri, 13 Jul 2012 07:09:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Fri, 13 Jul 2012 23:39:04 GMT) Full text and rfc822 format available.

Marked as fixed in versions tthsum/1.1.0-1. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Mon, 31 Dec 2012 00:42:03 GMT) Full text and rfc822 format available.

Reply sent to Hector Oron <zumbi@debian.org>:
You have taken responsibility. (Sat, 05 Jan 2013 10:06:03 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Sat, 05 Jan 2013 10:06:03 GMT) Full text and rfc822 format available.

Message #29 received at 664144-close@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 664144-close@bugs.debian.org
Subject: Bug#664144: fixed in tthsum 1.3.1-2
Date: Sat, 05 Jan 2013 10:03:17 +0000
Source: tthsum
Source-Version: 1.3.1-2

We believe that the bug you reported is fixed in the latest version of
tthsum, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 664144@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hector Oron <zumbi@debian.org> (supplier of updated tthsum package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 05 Jan 2013 09:52:34 +0000
Source: tthsum
Binary: tthsum
Architecture: source i386
Version: 1.3.1-2
Distribution: unstable
Urgency: low
Maintainer: Hector Oron <zumbi@debian.org>
Changed-By: Hector Oron <zumbi@debian.org>
Description: 
 tthsum     - generates or checks TTH message digests
Closes: 664144
Changes: 
 tthsum (1.3.1-2) unstable; urgency=low
 .
   * Fix big endian test fails on kfreebsd-amd64 (Closes: #664144)
     - Thanks Petr Salinger for patch.
   * Switch to use packaging format 3.0 quilt.
Checksums-Sha1: 
 abb4720ed726dfd8336259083c2295d437385398 1675 tthsum_1.3.1-2.dsc
 e9204bef357bf9b688417589ce556224c92f098b 3360 tthsum_1.3.1-2.debian.tar.gz
 6efaf94cec82670b0157bf3a721d03aee91239bd 31692 tthsum_1.3.1-2_i386.deb
Checksums-Sha256: 
 add5dbad6bd60ea22c8653d04c0c29c0533a78a4790322d3339328bd387d5bb3 1675 tthsum_1.3.1-2.dsc
 618180538d6946c1ce8ab718cbff2f42dc98b0d6deb7b68e32faca419260553e 3360 tthsum_1.3.1-2.debian.tar.gz
 1b07fa677be3073e0ced2949ac92d75fbfea95d93da56fdcc7102b73b76d65f8 31692 tthsum_1.3.1-2_i386.deb
Files: 
 d88d5e7d6102d53e67147137e475999d 1675 utils optional tthsum_1.3.1-2.dsc
 024bae054cab9b2b57ef658c0c42c4c9 3360 utils optional tthsum_1.3.1-2.debian.tar.gz
 73c1a12179a58e2979676146bd335db7 31692 utils optional tthsum_1.3.1-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJQ5/koAAoJEK8ig6p24qx7sL8P/AmWGLRo7ZAAeN86kfhvry5b
+pmrNU0z9zEXQExtvjIT5rSES6/LzjhjCsu/o77W4JCq/9/0/e8Np+Chkp+Ycpyw
lpUx8lc7uOb8SRcUg9HWUv6kSkC4ghG4hy4rgRp5IA0kKVlJqwr0uTQo8FBw/EAU
RUECK4uIXdq4GHBQwFWo7dD90UA+29drqFhvTXr+kIHzJOlcPIrYUFRxHmpNJ5J0
xtChK7EZAOtt2uhzvB77zxAbss1vHV1zUqdvEse3tMD6NVShdx9ksM1Z4RThdIb2
H9qnSqAzZh3YHiZ0hNS/jKWJvYk0mcFlevdA1+PAtjBozCibyN73Okaz9h/N9vqC
+vcUGx52XFew9eotdsiEG8im1yD6dUVvWZQOEVmDwK58NLBvyvaEwLGBwbZSRR69
SFuLOjqaK5UpNNavHSR5Nwq7myvkL+Ah+tZvadbSUPjqO76FFC1WomqYqWFbpVGb
Fug7Nf3Ou2cB0iRofQ39ou76BLEAqK059JaDQvMp0AW89y9sippxaugzoA2IhTEE
XTVvUqeubI0BL0Jh/ge08o5IF6Kmduc7qgHTn6xfB1SfV1WCM8J6NHztmeuOfOT+
lHkuy0fMiGgDZGsM2kkyP5dnJwOkf1RBAgFxeIOqC12+7Zc3G9Qz5zixL6n9zc60
eM2Q+EfHIorf/tDf9Nlz
=a0vS
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 03 Feb 2013 07:26:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:58:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.